angular.module('dashnex')

    .directive('smartPassword', function () {
        return {
            restrict: 'CA',
            link: function (scope, element) {

                element.on('focus', function () {
                    element.attr('type', 'text')
                });

                element.on('blur', function () {
                    element.attr('type', 'password')
                })
            }
        };
    });
